package br.uem.din.architectureEvolution.caseStudy;

import br.uem.din.architectureEvolution.representation.Architecture;
import br.uem.din.architectureEvolution.representation.Element;

public class PLAPersistenceMutation2 extends PLAMutation {

	public PLAPersistenceMutation2(Architecture originalArchitecture) throws Exception {
		super(originalArchitecture, "Persistence");
	}

	@Override
	<T extends Element> boolean canMutate(T element) {
		return element.containsConcern(concern);
	}
}
